listpaymentinstruments.md
List Payment Instruments
Retrieve a list of Payment Instrument resources.
For details on how to query endpoints using the available parameters, see Query Parameters.
{% admonition type="info" %} If no query parameters are specified in the request the API automatically limits the response to records from the last 30 days. You can request older data by passing an explicit created_at.lte filter. {% /admonition %}
Endpoint: GET /payment_instruments Security: BasicAuth
Header parameters:
Finix-Version(string) Specify the API version of your request. For more details, see Versioning. Example: "2022-02-01"
Query parameters:
after_cursor(string) Return every resource created after the cursor value.before_cursor(string) Return every resource created before the cursor value.account_last4(string) Filter by the last 4 digits of the account if available. Example: "4242"account_routing_number(string) Filter by the account routing number if available. Example: "9444"bin(string) Filter by Bank Identification Number (BIN). The BIN is the first 6 digits of the masked number. Example: "411111"created_at.gte(string) Filter where created_at is after the given date. Example: "2022-09-27T11:21:23"created_at.lte(string) Filter where created_at is before the given date. Example: "2026-09-27T11:21:23"expiration_month(string) Filter by the expiration month associated with the Payment Instrument if applicable. This filter only applies to payment cards. Example: "9"expiration_year(string) Filter by the 4 digit expiration year associated with the Payment Instrument if applicable. This filter only applies to payment cards. Example: "2029"id(string) Filter by id.last4(string) Filter by the last 4 digits of the Payment Instrument card. This filter only applies to payment cards. Example: "0454"limit(integer) The number of items to return. Example: 10name(string) Filter by the name.owner_identity_id(string) Filter by the owner id of the associated Identity. Example: "IDcWwprrKrD6cSh225JWPri3"type(string) Filter by the Payment Instrument type. Enum: "ALL", "BANK_ACCOUNT", "PAYMENT_CARD"tags.key(string) Filter by the tag's key. For more information, see Tags. Example: "card_type"tags.value(string) Filter by the tag's value. For more information, see Tags. Example: "business_card"updated_at.gte(string) Filter where updated_at is after the given date. Example: "2022-09-27T11:21:23"updated_at.lte(string) Filter where updated_at is before the given date. Example: "2026-09-27T11:21:23"
Response 200 fields (application/json):
page(object) Details the page that's returned.page.limit(integer) The number of entries to return.page.next_cursor(string,null) The cursor to use for the next page of results._embedded(object)_embedded.payment_instruments(array)_links(object)_links.self(object) Link to the resource that was used in the request._links.self.href(string)_links.next(object) Link to the next page of entries._links.next.href(string)
Response 401 fields (application/json):
total(integer, required) Total number of errors returned._embedded(object, required) Container for embedded error objects._embedded.errors(array) List of individual error objects._embedded.errors.code(string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string) A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string) A human-friendly error message._embedded.errors._links(object) Links related to this error._embedded.errors._links.self(object) Link to the resource related to the error._embedded.errors._links.self.href(string) URL of the related resource.
Response 403 fields (application/json):
total(integer, required) Total number of errors returned._embedded(object, required) Container for embedded error objects._embedded.errors(array) List of individual error objects._embedded.errors.code(string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string) A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string) A human-friendly error message._embedded.errors._links(object) Links related to this error._embedded.errors._links.self(object) Link to the resource related to the error._embedded.errors._links.self.href(string) URL of the related resource.
Response 406 fields (application/json):
total(integer, required) Total number of errors returned._embedded(object, required) Container for embedded error objects._embedded.errors(array) List of individual error objects._embedded.errors.code(string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string) A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string) A human-friendly error message._embedded.errors._links(object) Links related to this error._embedded.errors._links.self(object) Link to the resource related to the error._embedded.errors._links.self.href(string) URL of the related resource.
Response 422 fields (application/json):
total(integer, required) Total number of errors returned._embedded(object, required) Container for embedded error objects._embedded.errors(array) List of individual error objects._embedded.errors.code(string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string) A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string) A human-friendly error message._embedded.errors._links(object) Links related to this error._embedded.errors._links.self(object) Link to the resource related to the error._embedded.errors._links.self.href(string) URL of the related resource.